%global name3 python3-retask
# RHEL-7 doesn't have python 3
%if 0%{?rhel} == 7
  %global with_python3 0
%else
  %global with_python3 1
%endif



Name:           python-retask
Version:        0.4
Release:        5%{?dist}
Summary:        Python module to create and manage distributed task queues

Group:          Development/Languages
License:        MIT
URL:            http://retask.readthedocs.org/en/latest/index.html
Source0:        https://pypi.python.org/packages/source/r/retask/retask-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel, python-setuptools
BuildRequires:       python-redis
BuildRequires:       python-six
Requires:       python-redis
Requires:       python-six

%if %{with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-redis
BuildRequires:  python3-six
%endif

Provides:       python2-retask = %{version}-%{release}


%description
Python module to create and manage distributed task queues using redis.

%if %{with_python3}
%package -n %{name3}
Summary:        Python 3 retask module
Provides:       python3-retask = %{version}-%{release}
Requires:       python3-redis
Requires:       python3-six

%description -n %{name3}
Python3 module to create and manage distributed task queues using redis.
%endif


%prep
%setup -q -n retask-%{version}

%if %{with_python3}
# Create Python 3 source tree
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build

%if %{with_python3}
# Build Python 3 modules
pushd %{py3dir}
%{__python3} setup.py build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%if %{with_python3}
# Install Python 3 modules
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
# For noarch packages: sitelib
%{python_sitelib}/retask*

%if %{with_python3}
%files -n %{name3}
%doc LICENSE
%{python3_sitelib}/retask*
%endif

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 03 2016 Kushal Das <kushal@fedoraproject.org> 0.4-4
- More require fix.

* Tue Feb 02 2016 Kushal Das <kushal@fedoraproject.org> 0.4-3
- Adds python six as BR and required module

* Tue Feb 02 2016 Kushal Das <kushal@fedoraproject.org> 0.4-2
- Fixes build requires.

* Tue Feb 02 2016 Kushal Das <kushal@fedoraproject.org> 0.4-1
- Updates to 0.4 release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Kushal Das <kushal@fedoraproject.org> 0.3-1
- 0.3 release

* Fri Jul 27 2012 Kushal Das <kushal@fedoraproject.org> 0.2-1
- Initial release

